Subject: bug#20760: 24.4; Middle click on flyspell-highlighted but correct word does mouse-yank-primary

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 23:59:37 +0200

Reuben Thomas <[email-masked]> writes:

> When a flyspell-marked word is added to the dictionary, or to the
> buffer-local LocalWords list, other instances of the word in the buffer
> are not immediately unmarked.
>
> However, if one clicks mouse-2 on such a word, the expected flyspell
> menu does not pop up; instead, mouse-2 reverts to its default action
> (typically, mouse-yank-primary).
>
> To see this effect, type for example M-x flyspell-mode:
>
> foxb foxz foxb
>
> in a buffer, then mouse-2 on the first “foxb”, and “Accept for session”.
> The second “foxb” remains highlighted, but mouse-2 on it runs
> mouse-yank-primary, even though the word is highlighted on mouseover.

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

I'm unable to reproduce this in Emacs 27 -- are you still seeing this?
What I'm seeing is that the second "foxb" is still underlined, but if I
mouse-2 it, nothing happens -- no menu, and no yanking...

> There’s another, similar oddity, which is that clicking on a repeated,
> highlighted word, such as the second “this” in:
>
> this this
>
> gives the message “<mouse-2> is undefined”, which looks like a
> semi-successful attempt to correct the above-mentioned problem in
> another guise.

I get the same here -- the second "this" is underlined, but mouse-2 on
it does nothing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no